import java.awt.*;
import java.io.*;
import java.awt.event.*;
import java.util.*;

class WebView extends SCView {


    private WebView(){
        super("Secure Gateway Web View");
        this.initialize();
    }

    public static void main(String argv[]){
        WebView theWebView = new WebView();
        theWebView.show();

    }

    private void initialize(){

        this.setLayout(null);

        this.initMenu();

        this.initWidgets();

        this.setSize(500,480);
        this.setLocation(80,80);

    }

    private void initWidgets(){
        Label aLabel = new Label("Hey Mang");
        aLabel.setSize(500,40);
        aLabel.setLocation(0,60);
        aLabel.setFont(new Font("Courier",0,22));
        aLabel.setAlignment(Label.CENTER);
        this.addWidget("zoo name Label",aLabel);

        /*

        aLabel = new Label("--");
        aLabel.setSize(200,30);
        aLabel.setLocation(340,130);
        aLabel.setFont(new Font("Courier",0,16));
        aLabel.setAlignment(Label.LEFT);
        this.addWidget("current population Label", aLabel);

        aLabel = new Label("Current Population:");
        aLabel.setSize(200,30);
        aLabel.setLocation(100,130);
        aLabel.setFont(new Font("Courier",0,16));
        aLabel.setAlignment(Label.RIGHT);
        this.add(aLabel);

        aLabel = new Label("--");
        aLabel.setSize(100,30);
        aLabel.setLocation(320,190);
        aLabel.setFont(new Font("Courier",0,16));
        aLabel.setAlignment(Label.LEFT);
        this.addWidget("foot count Label", aLabel);

        this.addWidget("compute foot count Button", new FootCountButton(this));

        aLabel = new Label("Compute Foot Count");
        aLabel.setSize(210,30);
        aLabel.setLocation(5,190);
        aLabel.setFont(new Font("Courier",0,16));
        aLabel.setAlignment(Label.RIGHT);
        this.add(aLabel);


        this.addWidget("animal List", new AnimalList(this));

        aLabel = new Label("Name:");
        aLabel.setSize(100,30);
        aLabel.setLocation(250,300);
        aLabel.setFont(new Font("Courier",0,14));
        aLabel.setAlignment(Label.RIGHT);
        this.add(aLabel);

        aLabel = new Label("Foot Count:");
        aLabel.setSize(100,30);
        aLabel.setLocation(250,340);
        aLabel.setFont(new Font("Courier",0,14));
        aLabel.setAlignment(Label.RIGHT);
        this.add(aLabel);

        aLabel = new Label("--");
        aLabel.setSize(100,30);
        aLabel.setLocation(370,300);
        aLabel.setFont(new Font("Courier",0,14));
        aLabel.setAlignment(Label.LEFT);
        this.addWidget("selected name Label", aLabel);

        aLabel = new Label("--");
        aLabel.setSize(100,30);
        aLabel.setLocation(370,340);
        aLabel.setFont(new Font("Courier",0,14));
        aLabel.setAlignment(Label.LEFT);
        this.addWidget("selected foot count Label", aLabel);
        */


    }

    public void animalListClicked(String selectedAnimalName){

    }

    public void footCountButtonPressed(){
    }

    public void update(Observable obs, Object o){

    }

    private void initMenu(){
        MenuBar aMenuBar = new MenuBar();


            Menu aMenu = new Menu("File");
                MenuItem aMenuItem = new MenuItem("Exit");
                aMenuItem.addActionListener(this);
                aMenuItem.setActionCommand("Exit");
            aMenu.add(aMenuItem);

        aMenuBar.add(aMenu);


        this.setMenuBar(aMenuBar);
    }

   public void actionPerformed(ActionEvent e){
        String actionCommand = e.getActionCommand();

        if( actionCommand.equals("Exit") ){
            this.exit();
            return;
        }
    }


    public void windowClosing(WindowEvent we){
        this.exit();
    }
    private void exit(){
        System.out.println("exit() in WebView");
        try{ Thread.sleep(500); }
        catch(InterruptedException ie){}
        this.dispose();
        System.exit(0);
    }

}

